%define gst_plugins gst-plugins

Name: %gst_plugins
Version: 0.10.0
Release: alt2

Summary: Umbrella packages for GStreamer plugin sets
Group: System/Libraries
License: LGPL
URL: http://gstreamer.freedesktop.org/

BuildArch: noarch

AutoReqProv: no

%description
This source package describes several umbrella packages that facilitate
grouping of GStreamer plugins.

%package all
Summary: Full distribution of GStreamer plugins
Group: System/Libraries
Requires: %gst_plugins-base >= %version
Requires: %gst_plugins-good >= %version
Requires: %gst_plugins-ugly >= %version
Requires: %gst_plugins-bad >= %version

%description all
This package facilitates installation of the full set of GStreamer plugins as
distributed in the GStreamer Base, Good, Ugly, and Bad sets.

%package audio-filters
Summary: A comprehensive set of GStreamer audio filter plugins
Group: Sound
Requires: %gst_plugins-base-audio-filters >= %version
Requires: %gst_plugins-good-audio-filters >= %version

%description audio-filters
This package collects audio filter plugins from GStreamer Base
and GStreamer Good sets.

%package audio-formats
Summary: A comprehensive set of GStreamer audio codecs
Group: Sound
Requires: %gst_plugins-good-audio-formats >= %version
Requires: %gst_plugins-flac >= %version
Requires: %gst_plugins-vorbis >= %version

%description audio-formats
This package collects audio encoder and decoder plugins from GStreamer Base
and GStreamer Good sets.

%package container-formats
Summary: A comprehensive set of container format muxers/demuxers for GStreamer
Group: System/Libraries
Requires: %gst_plugins-good-container-formats >= %version
Requires: %gst_plugins-ogg >= %version

%description container-formats
This package collects plugins for encoding and decoding media container formats
from GStreamer Base and GStreamer Good sets.

%package network
Summary: A comprehensive set of GStreamer network protocol plugins
Group: System/Libraries
Requires: %gst_plugins-base-network >= %version
Requires: %gst_plugins-good-network >= %version

%description network
This package collects plugins from GStreamer Base and GStreamer Good sets
that implement media transfer over network protocols.

%package subtitle
Summary: A comprehensive set of GStreamer subtitle plugins
Group: Video
Requires: %gst_plugins-base-subtitle >= %version

%description subtitle
This package collects plugins from GStreamer Base and GStreamer Good sets
that implement subtitle parsing.

%package tags
Summary: A comprehensive set of GStreamer tag parser plugins
Group: System/Libraries
Requires: %gst_plugins-good-tags >= %version
Requires: %gst_plugins-taglib >= %version

%description tags
This package collects plugins from GStreamer Base and GStreamer Good sets
that parse metadata tags from media streams.

%package test
Summary: A comprehensive set of GStreamer debug and testing plugins
Group: System/Libraries
Requires: %gst_plugins-base-test >= %version
Requires: %gst_plugins-good-test >= %version

%description test
This package collects plugins from GStreamer Base and GStreamer Good sets
that can be instrumental in testing and debugging other plugins and pipelines.

%package video-effects
Summary: A comprehensive set of GStreamer video effects
Group: Video
Requires: %gst_plugins-good-video-effects >= %version

%description video-effects
This package collects plugins from GStreamer Base and GStreamer Good sets
which provide entertaining, but non-essential video effects.

%package video-filters
Summary: A comprehensive set of GStreamer video filter plugins
Group: Video
Requires: %gst_plugins-base-video-filters >= %version
Requires: %gst_plugins-good-video-filters >= %version

%description video-filters
This package collects video filter plugins from GStreamer Base
and GStreamer Good sets.

%package video-formats
Summary: A comprehensive set of GStreamer video codecs
Group: Video
Requires: %gst_plugins-dv >= %version
Requires: %gst_plugins-gdkpixbuf >= %version
Requires: %gst_plugins-theora >= %version

%description video-formats
This package collects video encoder and decoder plugins from GStreamer Base
and GStreamer Good sets.

%package visualization
Summary: A comprehensive set of GStreamer visualization plugins
Group: Sound
Requires: %gst_plugins-good-visualization >= %version
Requires: %gst_plugins-libvisual >= %version

%description visualization
This package collects plugins from GStreamer Base and GStreamer Good sets
implementing visual effects to accompany audio streams.

%files all

%files audio-filters

%files audio-formats

%files container-formats

%files network

%files subtitle

%files tags

%files test

%files video-effects

%files video-filters

%files video-formats

%files visualization

%changelog
* Thu Jun 01 2006 Mikhail Zabaluev <mhz@altlinux.ru> 0.10.0-alt2
- Added dependencies on gdk_pixbuf and taglib plugins
  that appear in gst-plugins-good >= 0.10.3

* Wed Feb 22 2006 Mikhail Zabaluev <mhz@altlinux.ru> 0.10.0-alt1
- Initial release
